/*
 * topic.h: a container for the 'topic' structure.
 * 
 * Copyright 2002-2007 the Ithildin Project.
 * See the COPYING file for more information on licensing and use.
 * 
 * $Id$
 */

#ifndef IRCD_COMMANDS_MODE_H
#define IRCD_COMMANDS_MODE_H

/* these are the two handler functions for changing channel modes and user
 * modes. */
void user_mode(client_t *, client_t *, int, char **, int);
int channel_mode(client_t *, server_t *, channel_t *, time_t, int, char **,
        int);

#endif
